# Credit cost & pricing

## How does it work?

**coherence**'s pricing is designed to be accessible for all developers, ranging from indie developers to AAA game studios.

Our platform helps you utilize compute resources efficiently in order to minimize wasteful spend. We know that forecasting cloud costs can be daunting, so **coherence** provides different [**subscription plans**](https://coherence.io/pricing) for different requirements, and the flexibility to change plans at any time, or purchase additional credits to deal with short term bursts or spikes in the number of users.

**coherence** uses our own **in-house virtual credit system** to keep track of costs.

Some basic facts:

* There are **no hard limits** (like max CCU, max bandwidth, etc.). The amount of resources you have is defined by the amount of credits you have.
* Credits renew every month. You get again the full amount of credits based on the tier you're on.
* If you need more credits, you can purchase them [for a fee](#billing), or move to a different tier.
* You can move tier every month, if you want.
* Unused credits don't move over to the following month.

## Why credits?

Since no two games are identical in their use of cloud resources, credits give you the **flexibility** you need for your Unity multiplayer game. Whether you’re building a platformer, a virtual DJ venue, a racing sim game or the next big MMO, our credit system makes sure your project gets maximum value and usage out of your chosen tier!

## Credits explained

Credits are **coherence**’s virtual unit of cost that can be converted into resources. Use the table below to understand exactly what costs a certain amount of credits:

| Resource          | Cost                      |
| ----------------- | ------------------------- |
| CCU Hour          | 1 credit / CCU Hour       |
| Small Simulator   | 20 credits / Server Hour  |
| Medium Simulator  | 40 credits / Server hour  |
| Large Simulator   | 80 credits / Server hour  |
| X-Large Simulator | 160 credits / Server hour |
| Bandwidth         | 200 credits / GB / Month  |
| KV Database       | 5 credits / 100MB / Hour  |
| Storage           | 70 credits / 1TB / Hour   |

Detailed explanations of these terms are available in our [Glossary](/1.2.4/support/glossary.md).

## Calculating credit costs

{% hint style="info" %}
On the Free tier, you get 30 000 credits every month, **free of charge**.

For Paid tiers (Bronze to Platinum) the cost is **1000 credits for $0.83**.

For Extra credits that are applied when you use more than your plan provides, the cost is higher at **100 credits for $0.20**.
{% endhint %}

### Rooms

The cost for a game session in a room based game is calculated easily as follows:

```
sessionCreditCost = maxPlayers * sessionLength / 60 + sessionBandwidthGB * 200
```

Where:

* **sessionLength** = the maximum duration of a game session in minutes
* **maxPlayers** = the maximum number of players that can join a game session
* **sessionBandwidthGB** = total outbound bandwidth in GB

{% hint style="warning" %}
For the purposes of our bandwidth/storage calculations, **1 GB equals 1000MB**, not 1024MB.
{% endhint %}

**Example**

Sessions per month = 150,000

Max players per session = 12

Max length of a session = 10 minutes

Outbound bandwidth per session = 2.5 MB

```
sessionCreditCost = (12 * 2 / 60 + 2.5 / 1000 * 200) * 150000 = 135,000 credits
```

**150K sessions would cost approximately 135K credits.**

### Worlds

It's equally simple to calculate the cost for a persistent world that is online 24/7:

```
worldCreditCost = (worldSize * 24 * 30) + (averageHourlyTrafficGB * 24 * 30) * 200
```

Where:

* **worldSize** = the maximum number of players that the world can host
* **averageHourlyTrafficGB** = the average outbound bandwidth consumed hourly by the world

**Example**

Number of worlds online = 3 (24/7, eg. NA, EU, Asia)

Max players per the world = 250

Average outbound bandwidth per hour = 95 MB

```
worldCreditCost = ((250 * 24 * 30) + ((95 / 1000) * 24 * 30) * 200) * 3 = 581,040 Credits
```

**Hosting three worlds for up to 250 players would cost approximately 580K Credits.**

### Simulators

{% hint style="warning" %}
Simulators generate credit cost only if they are running.
{% endhint %}

To calculate costs for a Simulator you need to understand how many Simulator instances you require, and for how long they will be online. For Room-based games, credit costs can be calculated with the following formula:

```
totalSimCost = (timeOnlinePerInstance / 60) * (simInstanceCost * simUtilisationPerSession)
```

**Example**

simUtilisationPerSession = 0.5 (one instance for 2 concurrent sessions)

timeOnlinePerInstance = 10 (sessionLength of room example above)

simInstanceCost = 40 (medium sim)

```
totalSimCost (per session) = (2 / 60) * (40 * 0.5) =  0.7 credits
```

**Simulator support for 50K sessions would cost approximately 35K Credits.**

## Billing

Every month we calculate your credit cost based on the total consumption of CCU hours and bandwidth. Before we calculate the total credit cost based on the aforementioned formulas, we **deduct the included CCU hours and bandwidth** in your plan.

The base subscription fee will be invoiced at the **beginning of the month**. If you exceed your limits and require additional credits, these will be invoiced with a separate invoice at the end of the month.

## Subscription plans

Don't forget to also take a look at our [Pricing page](https://coherence.io/pricing) to:

* See the available **features** and **benefits** of various **subscription tiers**
* Understand what **credits** are and see how many you get per tier
* See **example game costs**

## Limits and caveats

* Individual Rooms are limited to **100 CCU**s. The total number of Rooms is unlimited provided the credit usage stays within plan limits but there's a limit of **1000 CCUs** across all rooms.
* Individual Worlds are limited to **1000 CCU**s. The total number of Worlds is unlimited provided that the credit usage is within plan limits but there's a limit of **1000 CCUs** across all worlds.
* Enterprise customers can negotiate **custom sizes and limits** for both Rooms and Worlds.
* Costs per session or World will increase if additional features such as Simulators or KV-Store are utilized.
* Each plan comes with a maximum amount of purchasable extra credits. Exceeding that limit will result in throttling CCUs and an extra charge at the end of the billing cycle for features that can't be throttled like storage.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherence.io/1.2.4/support/credit-cost-and-pricing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
